Interface WafAcfpConfig.Builder
- All Superinterfaces:
Buildable,CopyableBuilder<WafAcfpConfig.Builder,,WafAcfpConfig> SdkBuilder<WafAcfpConfig.Builder,,WafAcfpConfig> SdkPojo
- Enclosing class:
WafAcfpConfig
-
Method Summary
Modifier and TypeMethodDescriptioncreationPath(String creationPath) The path of the endpoint that accepts completed account creation forms (for example,/signup/submit).payloadType(String payloadType) The content type of the request body of account creation requests.payloadType(WafPayloadTypeEnum payloadType) The content type of the request body of account creation requests.registrationPagePath(String registrationPagePath) The path of the page that displays the account creation form (for example,/signup).default WafAcfpConfig.BuilderresponseInspection(Consumer<WafResponseInspection.Builder> responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.responseInspection(WafResponseInspection responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.Methods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFields
-
Method Details
-
payloadType
The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
- Parameters:
payloadType- The content type of the request body of account creation requests.The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
-
payloadType
The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
- Parameters:
payloadType- The content type of the request body of account creation requests.The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-
-
creationPath
The path of the endpoint that accepts completed account creation forms (for example,
/signup/submit). This endpoint must acceptPOSTrequests.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Parameters:
creationPath- The path of the endpoint that accepts completed account creation forms (for example,/signup/submit). This endpoint must acceptPOSTrequests.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
registrationPagePath
The path of the page that displays the account creation form (for example,
/signup).Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Parameters:
registrationPagePath- The path of the page that displays the account creation form (for example,/signup).Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
-
responseInspection
An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
- Parameters:
responseInspection- An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
responseInspection
default WafAcfpConfig.Builder responseInspection(Consumer<WafResponseInspection.Builder> responseInspection) An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
This is a convenience method that creates an instance of theWafResponseInspection.Builderavoiding the need to create one manually viaWafResponseInspection.builder().When the
Consumercompletes,SdkBuilder.build()is called immediately and its result is passed toresponseInspection(WafResponseInspection).- Parameters:
responseInspection- a consumer that will call methods onWafResponseInspection.Builder- Returns:
- Returns a reference to this object so that method calls can be chained together.
- See Also:
-